@import url('https://fonts.googleapis.com/css2?family=Bangers&family=Reggae+One&display=swap');

@keyframes rotation-konoha {
  from { transform: translate(-50%, -50%) rotate(0deg); }
  to { transform: translate(-50%, -50%) rotate(360deg); }
}

body {
  background-color: #000000;
  color: #ff9900;
  font-family: 'Bangers', cursive;
  text-align: center;
  margin: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow-x: hidden;
  position: relative;
  /* CURSEUR RINNEGAN SVG */
  cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='32' height='32'><circle cx='16' cy='16' r='14' fill='%23a288e3' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='10' fill='none' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='6' fill='none' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='2' fill='black'/></svg>") 16 16, auto !important;
}

body::before {
  content: "";
  position: fixed;
  top: 50%; left: 50%;
  width: 750px; height: 750px;
  background-image: url('telechargement.jpg'); 
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  z-index: -1;
  opacity: 0.3;
  animation: rotation-konoha 25s linear infinite;
}

h1 { font-family: 'Reggae One', cursive; font-size: 2.5rem; margin: 10px 0; }
h2 { font-size: 1.5rem; margin-top: 20px; }
p, li { font-size: 1.1rem; list-style: none; }

button, .btn-bibliotheque, .btn-naruto {
  background-color: #ff9900;
  color: black;
  border: 2px solid #000;
  padding: 10px 20px;
  margin: 10px;
  font-family: 'Bangers', cursive;
  font-size: 18px;
  border-radius: 8px;
  text-decoration: none;
  display: inline-block;
  transition: 0.3s;
  cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='32' height='32'><circle cx='16' cy='16' r='14' fill='%23a288e3' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='10' fill='none' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='6' fill='none' stroke='black' stroke-width='1'/><circle cx='16' cy='16' r='2' fill='black'/></svg>") 16 16, pointer !important;
}

button:hover, .btn-bibliotheque:hover, .btn-naruto:hover {
  background-color: white !important;
  color: #ff9900 !important;
  transform: scale(1.1);
  box-shadow: 0 0 20px white;
}

#bouton-sharingan {
    background-color: black;
    color: #ff0000;
    border: 2px solid #ff0000;
    border-radius: 50px;
}

#bouton-sharingan:hover {
    background-color: #ff0000 !important;
    color: white !important;
    box-shadow: 0 0 25px red;
}

.mode-genjutsu { filter: invert(100%) hue-rotate(180deg) !important; }